summaryrefslogtreecommitdiff
path: root/dev-python/libusb1
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/libusb1
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/libusb1')
-rw-r--r--dev-python/libusb1/Manifest2
-rw-r--r--dev-python/libusb1/libusb1-3.3.1.ebuild29
-rw-r--r--dev-python/libusb1/libusb1-3.4.0.ebuild29
-rw-r--r--dev-python/libusb1/metadata.xml9
4 files changed, 69 insertions, 0 deletions
diff --git a/dev-python/libusb1/Manifest b/dev-python/libusb1/Manifest
new file mode 100644
index 000000000000..27ffb65ee1f0
--- /dev/null
+++ b/dev-python/libusb1/Manifest
@@ -0,0 +1,2 @@
+DIST libusb1-3.3.1.tar.gz 107600 BLAKE2B 7ec6a0fecc4f2c7520a7b8dc47d9000176ef3054b4171bac82f4c77824c62f2532346ef356dcd9b677ccac3a24f29913668a5be60c7c10b35ceca38f1eb7904c SHA512 a565130a81751b5927bb5c9023e3236314bbf9fbc5c3bbdd7ae21f45197bb545ad189af034e9f187ffe626659d2bf65a5ecb9d323c99837fbae0a7ff0dac99ce
+DIST libusb1-3.4.0.tar.gz 91206 BLAKE2B 2ef71f87ca00c41c7365584c2c67781d1d8ddb106b35ae941d45f185720f42f60573379055d4bbc83596cbf04200d9151b36577dbb301e0fd51b7327cd4504fe SHA512 d8a66a08f9737aa071d083efa7a41d52093e5efe7997e29df84552a70b201e034b16c8646f1647128092b8d6063a7ad020b1a49ad3f895cd2c102d76e3268bc8
diff --git a/dev-python/libusb1/libusb1-3.3.1.ebuild b/dev-python/libusb1/libusb1-3.3.1.ebuild
new file mode 100644
index 000000000000..0517e507dc23
--- /dev/null
+++ b/dev-python/libusb1/libusb1-3.3.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python ctype-based wrapper around libusb1"
+HOMEPAGE="https://github.com/vpelletier/python-libusb1"
+SRC_URI="https://github.com/vpelletier/python-libusb1/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="virtual/libusb:1"
+DEPEND="test? ( ${RDEPEND} )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Don't need this.
+ rm -r usb1/__pyinstaller || die
+ default
+}
diff --git a/dev-python/libusb1/libusb1-3.4.0.ebuild b/dev-python/libusb1/libusb1-3.4.0.ebuild
new file mode 100644
index 000000000000..96609911d08c
--- /dev/null
+++ b/dev-python/libusb1/libusb1-3.4.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 2025-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python ctype-based wrapper around libusb1"
+HOMEPAGE="https://github.com/vpelletier/python-libusb1"
+SRC_URI="https://github.com/vpelletier/python-libusb1/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+RDEPEND="virtual/libusb:1"
+DEPEND="test? ( ${RDEPEND} )"
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # Don't need this.
+ rm -r usb1/__pyinstaller || die
+ default
+}
diff --git a/dev-python/libusb1/metadata.xml b/dev-python/libusb1/metadata.xml
new file mode 100644
index 000000000000..183ecc5ceeeb
--- /dev/null
+++ b/dev-python/libusb1/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>games@gentoo.org</email>
+ <name>Gentoo Games Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>